//============================================================================
//  aPCI-8131 Device Driver I/F Control
//  apci8131ctl.h
//  Author  Shoichiro Ito(ADTEK SYSTEM SCIENCE Co.,Ltd.)
//  Date    2000/02/28
//  Rev.    1.0.0
//============================================================================

#ifndef __INC_APCI8131CTL_H__
#define __INC_APCI8131CTL_H__

#include "apci8131.h"

#ifdef __cplusplus
extern "C" {
#endif


//----------------------------------------------------------------------------
//  Miscellaneous
//----------------------------------------------------------------------------

#define APCI8131_BSN_AUTO	((int)~0)	// ̤ѥǥХθ


//----------------------------------------------------------------------------
//  Error Codes
//----------------------------------------------------------------------------

#define APCI8131_OK		 0	// ｪλ
#define APCI8131_ESYSCALL	-1	// ƥॳ륨顼
#define APCI8131_EINVAL		-2	// ʰ
#define APCI8131_ENODEV		-3	// ǥХϸդʤ
#define APCI8131_EBUSY		-4	// ¹ޤϻ
#define APCI8131_ESISR		-5	// ߥ롼ꥨ顼


//----------------------------------------------------------------------------
// Control Functions
//----------------------------------------------------------------------------

int apci8131_create	(int bsn);
int apci8131_close	(int bsn);
int apci8131_inp	(int bsn, int port, unsigned char* pdata);
int apci8131_outp	(int bsn, int port, unsigned char data);
int apci8131_get_ifr	(int bsn, unsigned char* pifr);
int apci8131_get_icr	(int bsn, unsigned short* picr);
int apci8131_set_icr	(int bsn, unsigned short icr);
int apci8131_setup_int	(int bsn, void(*pcallback)(int bsn, void* arg), void* arg);
int apci8131_cancel_int	(int bsn);


#ifdef __cplusplus
}
#endif


#endif // __INC_APCI8131CTL_H__